﻿using Syncfusion.SfSchedule.XForms;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace Schedule_Appointment
{
	public partial class MainPage : ContentPage
	{
        ViewModel viewModel;
		public MainPage()
		{
			InitializeComponent();
            viewModel = new ViewModel();
            this.BindingContext = viewModel;
            ScheduleAppointmentMapping mapping = new ScheduleAppointmentMapping();
            mapping.StartTimeMapping = "From";
            mapping.EndTimeMapping = "To";
            mapping.SubjectMapping = "Patient";
            mapping.ColorMapping = "Color";
            Schedule.AppointmentMapping = mapping;


            Schedule.CellTapped += Schedule_CellTapped;
            
        }

        private void Schedule_CellTapped(object sender, CellTappedEventArgs e)
        {
            viewModel.AppCollection.Add(new CusotmAppointment()
            {
                From = DateTime.Now.Date.AddHours(5),
                To = DateTime.Now.Date.AddHours(8),
                Patient = "Sam",
                Color = Color.Yellow,
            });
        }
    }

  
}
