﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Text;
using Xamarin.Forms;


namespace Schedule_Appointment
{
    public class ViewModel: INotifyPropertyChanged
    {

        public ViewModel()
        {

            CusotmAppointment appointment = new CusotmAppointment()
            {
                From = DateTime.Now.Date.AddHours(9),
                To = DateTime.Now.Date.AddHours(13),
                Patient = "Peter",
                Color = Color.Blue,
            };

           

            AppCollection.Add(appointment);
        }

        private ObservableCollection<CusotmAppointment> appCollection = new ObservableCollection<CusotmAppointment>();

        public ObservableCollection<CusotmAppointment> AppCollection
        {
            get { return appCollection; }
            set { appCollection = value; }
        }


        private DateTime selectedDate;

        public DateTime SelectedDate
        {
            get { return selectedDate; }
            set
            {
                selectedDate = value;
                RaisePropertyChanged("SelectedDate");
            }
        }



        public event PropertyChangedEventHandler PropertyChanged;

        private void RaisePropertyChanged(String Name)
        {
            if (PropertyChanged != null)
                this.PropertyChanged(this, new PropertyChangedEventArgs(Name));
        }

    }
}
